*,
::before,
::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
  --gray-100: #fafafa;
  --gray-200: #eee;
}
/* ---------- */
/* Main Style */
/* ---------- */

.container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 3rem;
  background-color: var(--gray-200);
  font-family: 'Cairo', sans-serif;
}

.table {
  border: 1px solid black;
  margin-bottom: 2rem;
}

.table caption {
  padding: 1rem;
  font-weight: bold;
}

table.table td {
  padding: 0.5rem;
  border: 1px solid black;
  background-color: var(--gray-100);
}

table.table .table__name {
  width: 13rem;
}
/* --------------- */
/* Personal Footer */
/* --------------- */

.footer {
  min-width: 300px;
  margin: 2rem 1rem;
  font-family: 'Cairo', sans-serif;
  line-height: 1.5;
  text-align: center;
}

.platform {
  font-weight: 600;
  color: #2eca7f;
}

.coder {
  font-weight: 600;
  color: #cf2937;
}

a {
  text-decoration: none;
}
